Subject: Re: bug#11625: Acknowledgement (24.1.50; Gnus: MIME messages are no longer handled)

From: Stefan Reichör <[email-masked]>
Date: Wed, 06 Jun 2012 14:59:29 +0200

I am using a git mirror. Therefore I used git bisect to find the last
working revision. It was the commit from Paul Eggert (Tue May 29 14:33:38 2012 -0700)

Starting with the commit from Stefan Monnier (Tue May 29 23:59:42 2012 -0400) things
fail for me.

,----
| commit f20b275ac1806f151153de4d0cc1ebd5d0a2ed53
| Author: Stefan Monnier <[email-masked]>
| Date:   Tue May 29 23:59:42 2012 -0400
| 
|     * lisp/emacs-lisp/byte-run.el (defmacro, defun): Move from C.
|     (macro-declaration-function): Move var from C code.
|     (macro-declaration-function): Define function with defalias.
|     * lisp/emacs-lisp/macroexp.el (macroexpand-all-1):
|     * lisp/emacs-lisp/cconv.el (cconv-convert, cconv-analyse-form):
|     * lisp/emacs-lisp/byte-opt.el (byte-optimize-form-code-walker): Don't handle
|     defun/defmacro any more.
|     * lisp/emacs-lisp/bytecomp.el (byte-compile-arglist-signature):
|     Provide fallback for unknown arglist.
|     (byte-compile-arglist-warn): Change calling convention.
|     (byte-compile-output-file-form): Move print-vars binding.
|     (byte-compile-output-docform): Simplify accordingly.
|     (byte-compile-file-form-defun, byte-compile-file-form-defmacro)
|     (byte-compile-defmacro-declaration): Remove.
|     (byte-compile-file-form-defmumble): Generalize to defalias.
|     (byte-compile-output-as-comment): Return byte-positions.
|     Simplify callers accordingly.
|     (byte-compile-lambda): Use `assert'.
|     (byte-compile-defun, byte-compile-defmacro): Remove.
|     (byte-compile-file-form-defalias):
|     Use byte-compile-file-form-defmumble.
|     (byte-compile-defalias-warn): Remove.
|     * src/eval.c (Fdefun, Fdefmacro, Vmacro_declaration_function):
|     Move to byte-run.el.
|     (Fautoload): Do the hash-doc more carefully.
|     * src/data.c (Fdefalias): Purify definition, except for keymaps.
|     (Qdefun): Move from eval.c.
|     * src/lisp.h (Qdefun): Remove.
|     * src/lread.c (read1): Tiny simplification.
|     * lib-src/make-docfile.c: Improve comment style.
|     (search_lisp_doc_at_eol): New function.
|     (scan_lisp_file): Use it.
| 
| commit b351b2da5dbba5967aeee50f74a299a2e3e41f37
| Author: Paul Eggert <[email-masked]>
| Date:   Tue May 29 14:33:38 2012 -0700
| 
|     Fix ChangeLog entry by negating its 1st sentence.
`----

The first error I notice is the following:

Debugger entered--Lisp error: (wrong-type-argument number-or-marker-p nil)
  auth-source-search(:host "smtp.myserver.de" :port "25" :user nil :max 1 :require nil :create nil)
  smtpmail-try-auth-methods(#<process smtpmail> (help (size \120000000) (auth=login plain) (auth login plain) starttls) "smtp.myserver.de" 25 nil)
  byte-code("\306\307\310\"!r	q\210\311\312 \210)\313\211\314\315	\316@\317\311\320\307\321\322 \"\323\324\325\326\327\311\330\331\332\311\333\311&A*A@\211B\204V\334\335\336AA\337\"\203S\336AA\337\"\202T\340\"\210\341B\342\"\210\336AA\343\"C\344C!\211D\204w\334\335\307\345C\"\"\210D\346Y\203\207\334\335\307\347C\"\"\210*r	q\210\350\351\211\"\210\352\353!\210e+\336AA\354\"E\344E!\211D\203\261D\346Y\203\276\355B\307\356\322 \"\"\210\2028\357\360\361\336AA\354\"\362\"\"\363F\211G\2037G@F\364 pHI\365\216\366J!\210\367\370\361F\371\363O\372\"\"+\211KG\373U\203K@KK\203-K:\203K@\202K\374>\203\"KLBL\202-M\203-\375\376K\"\210)GA\211G\204\323**\377BLN%O\201WL\235\204W\201XL\235\203a\355B\307\201Y!\"\210P\203\202\201ZL\235\204x\201[L\235\203\202\355B\307\201\\!\"\210\201]L\235\203\225\355B\307\201^!\"\210\201_L\235\204\252\201`\201_L\"\203\302\307\201arQq\210deZ\201bed\"\\)\"\202\303\360\201cL\235\203\320\360\202\321\360RS\201dB\307\201eTSR$\"\210\201f\201gB!\211A!\2048O\203.N\204.A@\201h=\203.\363\201i\201j\217\210\201kB!\210\363B\334\335\201lUQ\311#\"\210\2028\334\335\201mA!\"\210*\201n\211VU8\203\315\201dB\307\201o\201pVU8!\"\"\210\201f\201gB!\211A!\204\304O\203\272N\204\272A@\250\203\272A@\201qY\203\272A@\201rX\203\272\201dB\201s\"\210\201gB!\210\201kB!\210\363B\334\335\201lUQ\311#\"\210\202\304\334\335\201mA!\"\210VT\211V\202?)\355B\201t\"\210\201uBQ\"\210\355B\201v\"\210)\363\207" [host process-buffer buffer-undo-list coding-system-for-write coding-system-for-read port get-buffer-create format "*trace of SMTP session to %s*" t erase-buffer binary open-network-stream "smtpmail" :type :return-list :capability-command "EHLO %s\n" smtpmail-fqdn :end-of-command "^[0-9]+ .*\n" :success "^2.*\n" :always-query-capabilities :starttls-function #[(capabilities) "\301\302\"\205\303\207" [capabilities string-match "[ -]STARTTLS" "STARTTLS\n"] 3] :client-certificate :use-starttls-if-possible throw done plist-get :error "Unable to contact server" set-process-filter smtpmail-process-filter :greeting smtpmail-response-code "No greeting: %s" 400 "Connection not allowed: %s" set-buffer-process-coding-system raw-text-unix make-local-variable smtpmail-read-point :capabilities smtpmail-command-or-throw "HELO %s" delete "" split-string ...] 24)
  smtpmail-via-smtp(("[email-masked]") #<buffer  smtpmail temp>)
  smtpmail-send-it()
  gnus-agent-send-mail()
  message-send-mail(nil)
  message-send-via-mail(nil)
  message-send(nil)
  message-send-and-exit(nil)
  call-interactively(message-send-and-exit nil nil)